version: '2'

services:
    database:
        build: ./postgresql
        container_name: roundcube-postgresql
        networks:
            roundcube.internal.docker:
                aliases:
                    - postgresql.roundcube.internal.docker
        volumes:
            - ./data/postgresql/data:/var/lib/postgresql/data
            - ./data/postgresql/backup:/var/lib/postgresql/backup
        ports:
            - "127.0.0.1:34010:5432"
        env_file:
            - env

    roundcube:
        build: ./roundcube
        container_name: roundcube-roundcube
        networks:
            roundcube.internal.docker:
                aliases:
                    - roundcube.roundcube.internal.docker
        ports:
            - "127.0.0.1:34011:80"
        env_file:
            - env
        extra_hosts:
            - "test-mx.rthoni.com:192.168.56.102"

networks:
    roundcube.internal.docker:
